Package org.eclipse.mat.dtfj

# Class InitDTFJ.DynamicInfo

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,Map<String,String>>
org.eclipse.mat.dtfj.InitDTFJ.DynamicInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Map<String,String>>`

Enclosing class:
  InitDTFJ

public static class InitDTFJ.DynamicInfo extends HashMap<String,Map<String,String>>
This is created and called from the MAT parser handling code It provides a list of parsers E.g. org.eclipse.mat.dtfj.DTFJ-J9 id = "DTFJ-J9" name = "IBM SDK for Java (J9) system dump" exts = "zip,dmp,xml"

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`DynamicInfo()`

## Method Summary

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### DynamicInfo

public DynamicInfo()